package com.ruoyi.jjh.declaration.entity.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 企业填报请求体
 *
 * @author du
 * @since 2024/7/24 13:48
 */
@Data
@ApiModel("企业填报请求体")
public class EnterpriseFillResquest {


    /**
     * 在线申报记录id
     */
    @NotNull
    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;

    /**
     * 对应模板json
     */
    @NotBlank
    @ApiModelProperty(value = "对应模板json")
    private String templateJson;

    /**
     * 企业统一信用代码
     */
    @NotBlank
    @ApiModelProperty(value = "企业统一信用代码")
    private String creditCode;


    /**
     * 在线申报模版id
     */
    @NotNull
    @ApiModelProperty(value = "在线申报模版id")
    private Long templateRecordId;
}
