package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsDeclarationRecords;
import com.ruoyi.jjh.declaration.entity.dto.ApprovalDeclarationRecordsQueryDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsApprovalInfoUpdateDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsDeclarationRecordsDto;
import com.ruoyi.jjh.declaration.entity.vo.ApprovalDeclarationRecordsQueryVo;
import com.ruoyi.jjh.declaration.entity.vo.BmsDeclarationRecordsQueryVo;
import com.ruoyi.jjh.declaration.entity.vo.DeclarationRecordsVo;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.entity.JSmartDeclaration;

import java.util.List;

/**
 * 在线申报记录Service接口
 *
 * @author farben
 * @date 2023-08-28
 */
public interface IBmsDeclarationRecordsService extends IService<BmsDeclarationRecords> {
    /**
     * 查询在线申报记录
     *
     * @param id 在线申报记录主键
     * @return 在线申报记录
     */
    public DeclarationRecordsVo selectBmsDeclarationRecordsById(Long id);

    /**
     * 查询在线申报记录列表
     *
     * @param bmsDeclarationRecordsDto 在线申报记录
     * @return 在线申报记录集合
     */
    public List<BmsDeclarationRecordsQueryVo> selectBmsDeclarationRecordsList(BmsDeclarationRecordsDto bmsDeclarationRecordsDto);

    public List<BmsDeclarationRecordsQueryVo> selectBmsDeclarationRecordsZwList(BmsDeclarationRecordsDto bmsDeclarationRecordsDto);


    /**
     * 审核列表
     */
    public List<ApprovalDeclarationRecordsQueryVo> approvalList(ApprovalDeclarationRecordsQueryDto approvalDeclarationRecordsQueryDto);


    /**
     * 审批
     */
    public int updateApprovalInfo(BmsApprovalInfoUpdateDto bmsApprovalInfoUpdateDto);


//    /**
//     * 新增在线申报记录
//     *
//     * @param bmsDeclarationRecordsAddDto 在线申报记录
//     * @return 结果
//     */
//    public int insertBmsDeclarationRecords(BmsDeclarationRecordsAddDto bmsDeclarationRecordsAddDto);

    /**
     * 修改在线申报记录
     *
     * @param bmsDeclarationRecords 在线申报记录
     * @return 结果
     */
    public int updateBmsDeclarationRecords(BmsDeclarationRecords bmsDeclarationRecords);


    /**
     * 批量删除在线申报记录
     *
     * @param ids 需要删除的在线申报记录主键集合
     * @return 结果
     */
    public int deleteBmsDeclarationRecordsByIds(Long[] ids);

    /**
     * 删除在线申报记录信息
     *
     * @param id 在线申报记录主键
     * @return 结果
     */
    public int deleteBmsDeclarationRecordsById(Long id);


    /**
     * 根据id集合压缩所有文件使用类
     */
    List<String> getAllFile(String a);

    /**
     * 根据企业id和模板id查询
     *
     * @return
     */
    List<BmsDeclarationRecords> selectET(Long templateId, List<String> list);

    /**
     * 申报模板不限时并且未填报的
     *
     * @return
     */
    List<JSmartDeclaration> allNoLimited();


    /**
     * 获取某个在线记录id可以添加到项目库的数据
     *
     * @return
     */
    JProject getAddProject(Long id);
}
