package com.ruoyi.jjh.ent.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 首页智能提醒数据返回体
 *
 * @author du
 * @since 2024/7/1 19:29
 */
@Data
@ApiModel("首页智能提醒数据返回体")
public class HomeRequestSmart {

    /**
     * id
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 申报记录id
     */
    @ApiModelProperty("申报记录id")
    private Long declarationId;


    /**
     * 项目小类名称
     */
    @ApiModelProperty("项目小类名称")
    private String declarationName;

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String qymc;

    /**
     * 是否已读
     */
    @ApiModelProperty("是否已读 1未读 2已读")
    private Integer isRead;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;

    /**
     * 提醒对象 1.企业用户 2政务用户
     */
    @ApiModelProperty("提醒对象 1.企业用户 2政务用户")
    private Integer alertRecipients;

    /**
     * 提醒方式 1.定时提醒 2.不定时提醒
     */
    @ApiModelProperty("提醒方式 1.定期提醒 2.不定期提醒")
    private Integer alertManner;

    /**
     * 提醒时间
     */
    @ApiModelProperty("提醒时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime alertTime;

    /**
     * 提前天数提醒
     */
    @ApiModelProperty("提前天数提醒")
    private Integer daysAdvance;

    /**
     * 提醒内容
     */
    @ApiModelProperty("提醒内容")
    private String alertContent;

    /**
     * 项目ID
     */
    @ApiModelProperty("项目ID")
    private String projectId;

}
