package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 服务业发展报告（j_template_metrics）表实体类
 *
 * @author du
 * @since 2024/7/31 15:13
 */
@Data
@ApiModel("服务业发展报告")
@TableName(value = "j_template_metrics")
public class JDevelopmentReport extends BaseInfoEntity {

    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;

    /**
     * 标题
     */
    @NotBlank
    @ApiModelProperty("标题")
    private String title;

    /**
     * 副标题
     */
    @NotBlank
    @ApiModelProperty("副标题")
    private String subheading;

    /**
     * 内容
     */
    @NotBlank
    @ApiModelProperty("内容")
    private String content;


    /**
     * 创建ID
     */
    @ApiModelProperty("创建ID")
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 更新者ID
     */
    @ApiModelProperty("更新者ID")
    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;

}
