package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 项目表(JProject)表实体类
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
@ApiModel("项目表")
@TableName(value = "j_project")
@Data
public class JProject {
    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;


    /**
     * 项目大类 1.总部经济 2自主品牌先进技术研究院 3省现代服务业重点项目 4省市服务业领军企业
     * 5.省级现代服务业集聚区 6两业融合试点单位 7楼宇经济 8工业设计中心 9工业设计研究院 10服务型制造示范
     */
    @ApiModelProperty(value = "项目大类 1.总部经济 2自主品牌先进技术研究院 3省现代服务业重点项目 4省市服务业领军企业 5.省级现代服务业集聚区 6两业融合试点单位 7楼宇经济 8工业设计中心 9工业设计研究院 10服务型制造示范")
    @Excel(name = "项目大类", readConverterExp = "1=总部经济,2=自主品牌先进技术研究院,3=省现代服务业重点项目,4=省市服务业领军企业," +
            "5=省级现代服务业集聚区,6=两业融合试点单位,7=楼宇经济,8=工业设计中心,9=工业设计研究院,10=服务型制造示范")
    private Integer projectBigType;

    /**
     * 项目中类
     */
    @ApiModelProperty(value = "项目中类 1=总部企业,2=自主品牌先进技术研究院,3=省现代服务业重点项目,4=省市服务业领军企业," +
            "            5=省级现代服务业集聚区,6=两业融合试点单位,7=楼宇经济,8=工业设计中心,9=工业设计研究院,10=服务型制造企业,11=服务型制造平台,12=服务型制造示范项目")
    @Excel(name = "项目中类", readConverterExp = "1=总部企业,2=自主品牌先进技术研究院,3=省现代服务业重点项目,4=省市服务业领军企业," +
            "5=省级现代服务业集聚区,6=两业融合试点单位,7=楼宇经济,8=工业设计中心,9=工业设计研究院,10=服务型制造企业,11=服务型制造平台,12=服务型制造示范项目")
    private Integer projectMiddleType;

    /**
     * 项目小类
     */
    @ApiModelProperty(value = "项目小类")
    @Excel(name = "项目小类", readConverterExp = "1=省级总部,2=市级总部,3=区级总部,4=自主品牌先进技术研究院,5=省现代服务业重点项目,6=省级服务业领军," +
            "7=市级服务业领军,8=省级现代服务业集聚区,9=两业融合试点单位,10=楼宇经济,11=国家级工业设计中心,12=省级工业设计中心,13=市级工业设计中心," +
            "14=工业设计研究院,15=国家级服务型制造企业,16=省级服务型制造企业,17=市级服务型制造企业,18=区级服务型制造企业,19=国家级服务型制造平台,20=省服务型制造平台," +
            "21=市级服务型制造平台,22=国家级示范项目,23=省级示范项目")
    private Integer projectSmallType;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @ApiModelProperty("企业名称")
    private String declareUnit;

    /**
     * 统一社会信用代码
     */
    @Excel(name = "统一社会信用代码")
    @ApiModelProperty("统一社会信用代码")
    private String creditCode;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String projectYear;

    /**
     * 其余字段和数据
     */
    @Excel(name = "其余字段和数据")
    @ApiModelProperty("其余字段和数据")
    private String otherJson;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

    /**
     * 项目结束时间
     */
    @ApiModelProperty("项目结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime projectEndTime;

    /**
     * 创建ID
     */
    @ApiModelProperty("创建ID")
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 创建者
     */
    @ApiModelProperty("创建者")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者ID
     */
    @ApiModelProperty("更新者ID")
    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;

    /**
     * 更新者
     */
    @ApiModelProperty("更新者")
    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 文件json
     */
    @ApiModelProperty("文件json")
    private String fileJson;
}

