package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 企业端首页智能提醒数据返回体
 *
 * @author du
 * @since 2024/7/1 19:29
 */
@Data
@ApiModel("企业端首页智能提醒返回体")
public class JSmartDeclaration {

    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;


    /**
     * 申报记录id
     */
    @ApiModelProperty("申报记录id")
    private Long declarationId;

    /**
     * 智能提醒id
     */
    @ApiModelProperty("智能提醒id")
    private Long smartRemindersId;

    /**
     * 在线模板开始时间
     */
    @ApiModelProperty("在线模板开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    /**
     * 在线模板结束时间
     */
    @ApiModelProperty("在线模板结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    /**
     * 提醒时间
     */
    @ApiModelProperty("提醒时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime alertTime;


    /**
     * 是否已读
     */
    @ApiModelProperty("是否已读 1未读 2已读")
    private Integer isRead;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;

    /**
     * 项目ID
     */
    @ApiModelProperty("项目ID")
    private Long projectId;


    /**
     * 政务用户id
     */
    @ApiModelProperty("政务用户id")
    private Long zwId;

}
