package com.ruoyi.jjh.ent.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * 定期提醒实体类
 *
 * @author du
 * @since 2024/7/1 15:56
 */
@Data
@ApiModel("定期提醒")
public class JSmartRemindersDq {


    /**
     * Id
     */
    @ApiModelProperty("Id")
    private Long id;

    /**
     * 规则名称
     */
    @NotBlank
    @ApiModelProperty("规则名称")
    private String rulesName;

    /**
     * 提醒对象 1.企业用户 2政务用户
     */
    @NotNull
    @ApiModelProperty("提醒对象 1.企业用户 2政务用户")
    private Integer alertRecipients;


    /**
     * 提醒分类 1.全局自定义通知  2.申报任务即将结束(企业) 3.项目即将建设完成(政务) 4.项目自定义通知
     */
    @ApiModelProperty("提醒分类 1.全局自定义通知  2.申报任务即将结束(企业) 3.项目即将建设完成(政务) 4.项目自定义通知")
    private Integer alertType;


    /**
     * 提醒方式 1.定时提醒 2.不定时提醒
     */
    @NotNull
    @ApiModelProperty("提醒方式 1.定期提醒 2.不定期提醒")
    private Integer alertManner;

    /**
     * 提醒时间 yyyy-MM-dd HH:mm:ss
     */
    @NotNull
    @ApiModelProperty("提醒时间 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime alertTime;

    /**
     * 提醒内容
     */
    @NotBlank
    @ApiModelProperty("提醒内容")
    private String alertContent;

    /**
     * 项目id 非必传
     */
    @ApiModelProperty("项目id 非必传")
    private Integer projectId;
}
