package com.ruoyi.jjh.ent.entity.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 不定期提醒实体类
 *
 * @author du
 * @since 2024/7/1 15:56
 */
@Data
@ApiModel("不定期提醒")
public class JSmartRemindersNDq {

    /**
     * Id
     */
    @ApiModelProperty("Id")
    private Long id;

    /**
     * 规则名称
     */
    @NotBlank
    @ApiModelProperty("规则名称")
    private String rulesName;

    /**
     * 提醒对象 1.企业用户 2政务用户
     */
    @NotNull
    @ApiModelProperty("提醒对象 1.企业用户 2政务用户")
    private Integer alertRecipients;

    /**
     * 提醒方式 1.定时提醒 2.不定时提醒
     */
    @NotNull
    @ApiModelProperty("提醒方式 1.定期提醒 2.不定期提醒")
    private Integer alertManner;

    /**
     * 提醒分类  2.申报任务即将结束(企业) 3.项目即将建设完成(政务)
     */
    @NotNull
    @ApiModelProperty("提醒分类  2.申报任务即将结束(企业) 3.项目即将建设完成(政务)")
    private Integer alertType;

    /**
     * 提前天数提醒
     */
    @NotNull
    @ApiModelProperty("提前天数提醒")
    private Integer daysAdvance;

    /**
     * 提醒内容
     */
    @NotBlank
    @ApiModelProperty("提醒内容")
    private String alertContent;
}
