package com.ruoyi.jjh.ent.mapper;

import com.ruoyi.jjh.ent.entity.response.HonorResponse;
import com.ruoyi.jjh.ent.entity.response.JAllIndustryResponse;
import com.ruoyi.jjh.ent.entity.response.JBigMiddleIndustryResponse;
import com.ruoyi.jjh.ent.entity.response.JIndustryDepthResponse;
import com.ruoyi.jjh.ent.entity.response.JServicesDevelopResponse;
import com.ruoyi.jjh.ent.entity.response.ProjectTrackingResponse;

import java.util.List;

/**
 * 数据大屏数据层
 *
 * @author du
 * @since 2024/7/15 13:57
 */
public interface JDataScreenMapper {

    /**
     * 荣誉情况
     *
     * @return 所有数据
     */
    List<HonorResponse> getHonor();

    /**
     * 项目追踪情况
     *
     * @return 所有数据
     */
    List<ProjectTrackingResponse> getProjectTracking();


    /**
     * 服务业发展总览
     *
     * @return 所有数据
     */
    List<JServicesDevelopResponse> servicesDevelop(Integer type);

    /**
     * 行业纵深情况
     *
     * @return 所有数据
     */
    List<JIndustryDepthResponse> getIndustryDepth();

    /**
     * 获取中类数据
     *
     * @return 所有数据
     */
    List<JBigMiddleIndustryResponse> getMiddleIndustry();


    /**
     * 获取大类数据
     *
     * @return 所有数据
     */
    List<JAllIndustryResponse> getBigIndustry();
}
